Bug 18244 - libmudflap installs include/mf-runtime.h in version-independent path
Summary: libmudflap installs include/mf-runtime.h in version-independent path
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: libmudflap (show other bugs)
Version: 4.0.0
: P2 normal
Target Milestone: 4.2.0
Assignee: Frank Ch. Eigler
URL:
Keywords:
Depends on:
Blocks: 346
  Show dependency treegraph
 
Reported: 2004-10-31 05:01 UTC by Gerald Pfeifer
Modified: 2009-06-02 07:57 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Known to work: 4.2.0
Known to fail: 4.0.2 4.1.1
Last reconfirmed: 2006-02-10 11:52:01


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer 2004-10-31 05:01:46 UTC
libmudflap installs it's mf-runtime.h include directly into $prefix/include.

This is the only include file provided by GCC that does that, all other include
files are properly put into a version-specific (sub)directory.

Failure to do so, as in this case, will result in problems when one wants to
install various versions of GCC into the same $prefix.
Comment 1 Andrew Pinski 2005-05-01 14:01:44 UTC
Confirmed.
Comment 2 Gerald Pfeifer 2005-08-29 20:05:11 UTC
Frank, would you mind having a look at this?
Comment 3 Gerald Pfeifer 2009-06-01 20:32:47 UTC
This has been fixed for GCC 4.2.0, I believe by the following patch:

2006-06-21  Frank Ch. Eigler  <fche@redhat.com>

	PR 21274
	mf-runtime.h installation based on ssp patch for PR 26473 from
	Mark Mitchell  <mark@codesourcery.com>.
	* configure.ac (ACX_NONCANONICAL_TARGET): Use it.
	* Makefile.am (target_noncanonical): Define.
	(libsubincludedir): New variable.
	(nobase_libsubinclude_HEADERS): Add mf-runtime.h.
	(include_HEADERS): Remove.
	* configure, aclocal.m4, config.h.in: Regenerated.
	* Makefile.in, testsuite/Makefile.in: Likewise.
	* mf-runtime.h: Add #ifndef protection for conflicting _REENTRANT
	and _THREAD_SAFE redefinition values.

Thus marking as fixed, after all those years.
Comment 4 Uroš Bizjak 2009-06-02 07:57:57 UTC
So, fixed.